/* FichothequeLib_API - Copyright (c) 2011-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.extraction;

import java.util.List;
import net.fichotheque.extraction.run.ExtraitCorpusResult;
import net.fichotheque.extraction.run.ExtraitThesaurusResult;


/**
 *
 * @author Vincent Calame
 */
public interface ExtractionSource {

    public Object getDynamicObject();

    public List<ExtraitCorpusResult> getStaticExtraitCorpusResultList();

    public List<ExtraitThesaurusResult> getStaticExtraitThesaurusResultList();

}
