/* FichothequeLib_API - Copyright (c) 2017-2021 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.selection;

import java.util.List;
import net.fichotheque.corpus.metadata.FieldKey;
import net.mapeadores.util.conditions.Condition;


/**
 *
 * @author Vincent Calame
 */
public interface FieldQuery {

    public final static short TITRE_SCOPE = 1;
    public final static short ENTETE_SCOPE = 2;
    public final static short FICHE_SCOPE = 3;
    public final static short SELECTION_SCOPE = 4;

    public short getScope();

    public List<FieldKey> getFieldKeyList();

    public Condition getContentCondition();

}
